package com.fizz.business.constants.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 并卷状态枚举
 *
 * @author chenhao
 * @date 2023/04/24
 */
@Getter
@AllArgsConstructor
public enum CoilMergeStatusEnum implements IEnum<String> {
    UNPROCESSED("未处理"),
    PROCESSED("已处理"),
    ;

    private final String desc;

    private static final Map<String, CoilMergeStatusEnum> MAP = new HashMap<>(16);

    static {
        for (CoilMergeStatusEnum e : CoilMergeStatusEnum.values()) {
            MAP.put(e.getValue(), e);
        }
    }

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static CoilMergeStatusEnum getByValue(String value) {
        return MAP.get(value);
    }

    @JsonValue
    @Override
    public String getValue() {
        return this.name();
    }
}
